> ## Documentation Index
> Fetch the complete documentation index at: https://vas-partner-api-docs.finpaytech.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Payment Summary



## OpenAPI

````yaml /openapi.json get /api/v1/merchants/me/payments/summary
openapi: 3.1.0
info:
  title: Emaal Virtual Accounts API
  version: 1.0.0
  description: Merchant collection APIs. Base URL https://vas.finpaytech.co/business-api
servers:
  - url: https://vas.finpaytech.co/business-api
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: Virtual Accounts
  - name: Customers
  - name: Invoice VA
  - name: Payer Instructions
  - name: Payments
  - name: Webhooks
paths:
  /api/v1/merchants/me/payments/summary:
    get:
      tags:
        - Payments
      summary: Payment Summary
      operationId: paymentSummary
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentSummaryResponse'
              example:
                paymentCount: 1
                totalAmount: 130
                currency: KES
components:
  schemas:
    PaymentSummaryResponse:
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: PASETO
      description: Access token from POST /api/v1/auth/login

````